<?php
/*************************
  Coppermine Photo Gallery
  ************************
  Copyright (c) 2003-2008 Dev Team
  v1.1 originally written by Gregory DEMAR

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License version 3
  as published by the Free Software Foundation.
  
  ********************************************
  Optimize photosize : theme for Coppermine version: 1.4.18
  $Revision: beta1 $
  $URL : http://coppermine-gallery.net/forum/index.php?board=38.0 (french coppermine forum) $
  $Author: RedMorgan $
  $Date: 2008-07-29 $
**********************************************/

define('THEME_IS_XHTML10_TRANSITIONAL',1);
define('THEME_HAS_NAVBAR_GRAPHICS', 1);

###############################################################################
## HEADER
###############################################################################


/******************************************************************************
** Section <<<$template_breadcrumb>>> - START
******************************************************************************/
// HTML template for the breadcrumb
// affichage du chemim de la galerie
$template_breadcrumb = <<<EOT
<!-- BEGIN breadcrumb -->
      <table cellpadding= "0" cellspacing= "1">
        <tr>
          <td colspan= "3" align= "left" class= "tableh1"><span class= "statlink">{BREADCRUMB}</span></td>
        </tr>
      </table>
<!-- END breadcrumb -->

<!-- BEGIN breadcrumb_user_gal -->
      <table cellpadding= "0" cellspacing= "1">
        <tr>
          <td colspan= "3" class= "tableh1">
            <table width= "100%" cellpadding= "0" cellspacing= "0" border= "0">
              <tr>
                <td align= "left"><span class= "statlink">{BREADCRUMB}</span></td>
                <td align= "right"><span class= "statlink">{STATISTICS}</span></td>
              </tr>
            </table>
          </td>
        </tr>
      </table>
<!-- END breadcrumb_user_gal -->

EOT;
/******************************************************************************
** Section <<<$template_breadcrumb>>> - END
******************************************************************************/


/******************************************************************************
** Section <<<theme_display_breadcrumb>>> - START
******************************************************************************/
//création du chemin de la galerie
function theme_display_breadcrumb($breadcrumb, &$cat_data)
{
    /**
     * ** added breadcrumb as a seperate element
     */
    global $template_breadcrumb, $lang_breadcrumb, $THEME_DIR;
if($THEME_DIR!="themes/optimize_photosize/"){
    if ($breadcrumb) {
        $template = template_extract_block($template_breadcrumb, 'breadcrumb');
        $params = array('{BREADCRUMB}' => $breadcrumb
            );
        echo template_eval($template, $params);
    }
}
}
/******************************************************************************
** Section <<<theme_display_breadcrumb>>> - END
******************************************************************************/

/******************************************************************************
** Section <<<theme_display_cat_list>>> - START
******************************************************************************/
//??
function theme_display_cat_list($breadcrumb, &$cat_data, $statistics)
{
    global $template_cat_list, $lang_cat_list;
    if (count($cat_data) > 0) {
        starttable('100%');

        $template = template_extract_block($template_cat_list, 'header');
        $params = array('{CATEGORY}' => $lang_cat_list['category'],
            '{ALBUMS}' => $lang_cat_list['albums'],
            '{PICTURES}' => $lang_cat_list['pictures'],
            );
        echo template_eval($template, $params);
    }

    $template_noabl = template_extract_block($template_cat_list, 'catrow_noalb');
    $template = template_extract_block($template_cat_list, 'catrow');
    foreach($cat_data as $category) {
        if (!isset($category['cat_thumb'])) { $category['cat_thumb'] = ''; }
        if (count($category) == 3) {
            $params = array('{CAT_TITLE}' => $category[0],
                    '{CAT_THUMB}' => $category['cat_thumb'],
                '{CAT_DESC}' => $category[1]
                );
            echo template_eval($template_noabl, $params);
        } elseif (isset($category['cat_albums']) && ($category['cat_albums'] != '')) {
            $params = array('{CAT_TITLE}' => $category[0],
                '{CAT_THUMB}' => $category['cat_thumb'],
                '{CAT_DESC}' => $category[1],
                '{CAT_ALBUMS}' => $category['cat_albums'],
                '{ALB_COUNT}' => $category[2],
                '{PIC_COUNT}' => $category[3],
                );
            echo template_eval($template, $params);
        } else {
            $params = array('{CAT_TITLE}' => $category[0],
                '{CAT_THUMB}' => $category['cat_thumb'],
                '{CAT_DESC}' => $category[1],
                '{CAT_ALBUMS}' => '',
                '{ALB_COUNT}' => $category[2],
                '{PIC_COUNT}' => $category[3],
                );
            echo template_eval($template, $params);
        }
    }

    if ($statistics && count($cat_data) > 0) {
        $template = template_extract_block($template_cat_list, 'footer');
        $params = array('{STATISTICS}' => $statistics);
        echo template_eval($template, $params);
    }


    if (count($cat_data) > 0)
          endtable();
          template_extract_block($template_cat_list, 'spacer');
}
/******************************************************************************
** Section <<<theme_display_cat_list>>> - END
******************************************************************************/

/******************************************************************************
** function <<<pageheader>>> - START
******************************************************************************/
//ajout du HEADER_BREADCRUMB à l'extérieur de GALLERY
function pageheader($section, $meta = '')
{
    global $CONFIG, $THEME_DIR;
    global $template_header, $lang_charset, $lang_text_dir;
    $custom_header = cpg_get_custom_include($CONFIG['custom_header_path']);

    $charset = ($CONFIG['charset'] == 'language file') ? $lang_charset : $CONFIG['charset'];

    header('P3P: CP= "CAO DSP COR CURa ADMa DEVa OUR IND PHY ONL UNI COM NAV INT DEM PRE"');
    header("Content-Type: text/html; charset=$charset");
    user_save_profile();

    $template_vars = array('{LANG_DIR}' => $lang_text_dir,
        '{TITLE}' => theme_page_title($section),
        '{CHARSET}' => $charset,
        '{META}' => $meta,
        '{GAL_NAME}' => $CONFIG['gallery_name'],
        '{GAL_DESCRIPTION}' => $CONFIG['gallery_description'],
        '{SYS_MENU}' => theme_main_menu('sys_menu'),
        '{SUB_MENU}' => theme_main_menu('sub_menu'),
        '{ADMIN_MENU}' => theme_admin_mode_menu(),
        '{CUSTOM_HEADER}' => $custom_header,
        '{JAVASCRIPT}' => theme_javascript_head(),
        '{MESSAGE_BLOCK}' => theme_display_message_block(),
        );
   // MOD - add {HEADER_BREADCRUMB} processing to pageheader
    global $template_breadcrumb, $CURRENT_ALBUM_DATA, $cat;
    $breadcrumb = '';
    $breadcrumb_text = '';
    $breadcrumb_output = '';
    $actual_cat = (is_numeric($CURRENT_ALBUM_DATA['category']) ? $CURRENT_ALBUM_DATA['category'] : $cat);
    breadcrumb($actual_cat, $breadcrumb, $breadcrumb_text);
    if ($breadcrumb) {
        $template_breadcrumb_save = $template_breadcrumb;
        $template = template_extract_block($template_breadcrumb, 'breadcrumb');
        $params = array(
            '{BREADCRUMB}' => $breadcrumb,
        );
        $breadcrumb_output = template_eval($template, $params);
        $template_breadcrumb = $template_breadcrumb_save;
    }
    $template_vars['{HEADER_BREADCRUMB}'] = $breadcrumb_output;
    // MOD - end

    echo template_eval($template_header, $template_vars);
}
/******************************************************************************
** function <<<pageheader>>> - END
******************************************************************************/

/******************************************************************************
** function <<<theme_page_title>>> - START
******************************************************************************/
// Creates the title tag for each page
// For the sake of search engine friendliness, the dynamic part $section should come first
//ajout du à la fonction pageheader ?
function theme_page_title($section) {
    global $CONFIG;
    $return = strip_tags(bb_decode($section)) . ' - ' . $CONFIG['gallery_name'];
    return $return;
}
/******************************************************************************
** function <<<theme_page_title>>> - END
******************************************************************************/

/******************************************************************************
** function <<<theme_javascript_head>>> - START
******************************************************************************/
// Function for the JavaScript inside the <head>-section
//ajout du à la fonction  pageheader ?
function theme_javascript_head() {
    global $CONFIG;
    $return = '<script type= "text/javascript" src= "scripts.js"></script>'."\n"; // do not remove this line unless you really know what you're doing
    $return .= <<< EOT

<script type= "text/javascript">
</script>
EOT;
    return $return;
}
/******************************************************************************
** function <<<theme_javascript_head>>> - END
******************************************************************************/

/******************************************************************************
** function <<<theme_display_message_block>>> - START
******************************************************************************/
/******************************************************************************
// Function for the theme_display_message_block
The message block (not to be confused with the admin menu) will display message carried over from one page to the other and an RSS feed from the coppermine project page for the admin.
It's advisable not to change it unless you really know what you're doing.
This function composes the individual sections of the block.
******************************************************************************/
//ajout du à la fonction  pageheader ?
function theme_display_message_block() {
    global $lang_gallery_admin_menu, $lang_info, $CONFIG, $message_id;
    $return = '';
    if ($_GET['message_id'] != '') {
      $message_id = $_GET['message_id'];
    }
    if ($message_id != '') {
        $tempMessage = cpgFetchTempMessage($message_id);
        if ($tempMessage != '') {
            $return .= '<a name= "cpgMessageBlock"></a>';
            ob_start();
            starttable(-1, $lang_info);
            $return .= ob_get_contents();
            ob_end_clean();
            $return .= <<< EOT
            <tr>
              <td class= "tableb" align= "center">
                <div id= "cpgMessage" class= "cpg_user_message">
                  {$tempMessage}
                </div>
              </td>
            </tr>
EOT;
            ob_start();
            endtable();
            $return .= ob_get_contents();
            ob_end_clean();
        }
    }
    if (GALLERY_ADMIN_MODE) {
	//commenter car impossible de trouver la fonction
        //cpgCleanTempMessage(); // garbage collection: when the admin is logged in, old messages that failed to display for whatever reason are being removed to keep the temp_messages table clean
        $return .= cpg_alert_dev_version();
        // $return .= cpg_display_rss(); //add RSS feed from coppermine-gallery.net later
    } else { // not in admin mode
        //$return = '';
    }
    return $return;
}
/******************************************************************************
** function <<<theme_display_message_block>>> - END
******************************************************************************/

/******************************************************************************
** function <<<$template_gallery_admin_menu>>> - BEGIN
******************************************************************************/
// HTML template for gallery admin menu
// menu galerie de l'administrateur
$template_gallery_admin_menu = <<<EOT

      <table cellpadding= "0" cellspacing= "1">
        <tr>
          <!-- BEGIN admin_approval -->
          <td class= "admin_menu" id= "admin_menu_anim"><a href= "editpics.php?mode=upload_approval" title= "{UPL_APP_TITLE}">{UPL_APP_LNK}</a></td>
          <!-- END admin_approval -->
          <td class= "admin_menu"><a href= "admin.php" title= "{ADMIN_TITLE}">{ADMIN_LNK}</a></td>
          <td class= "admin_menu"><a href= "catmgr.php" title= "{CATEGORIES_TITLE}">{CATEGORIES_LNK}</a></td>
          <td class= "admin_menu"><a href= "albmgr.php{CATL}" title= "{ALBUMS_TITLE}">{ALBUMS_LNK}</a></td>
          <td class= "admin_menu"><a href= "groupmgr.php" title= "{GROUPS_TITLE}">{GROUPS_LNK}</a></td>
          <td class= "admin_menu"><a href= "usermgr.php" title= "{USERS_TITLE}">{USERS_LNK}</a></td>
          <td class= "admin_menu"><a href= "banning.php" title= "{BAN_TITLE}">{BAN_LNK}</a></td>
        </tr>
        <tr>
          <td class= "admin_menu"><a href= "reviewcom.php" title= "{COMMENTS_TITLE}">{COMMENTS_LNK}</a></td>
          <!-- BEGIN log_ecards -->
          <td class= "admin_menu"><a href= "db_ecard.php" title= "{DB_ECARD_TITLE}">{DB_ECARD_LNK}</a></td>
          <!-- END log_ecards -->
          <td class= "admin_menu"><a href= "picmgr.php" title= "{PICTURES_TITLE}">{PICTURES_LNK}</a></td>
          <td class= "admin_menu"><a href= "searchnew.php" title= "{SEARCHNEW_TITLE}">{SEARCHNEW_LNK}</a></td>
          <td class= "admin_menu"><a href= "util.php" title= "{UTIL_TITLE}">{UTIL_LNK}</a></td>
          <td class= "admin_menu"><a href= "profile.php?op=edit_profile" title= "{MY_PROF_TITLE}">{MY_PROF_LNK}</a></td>
          <!-- BEGIN documentation -->
          <td class= "admin_menu"><a href= "{DOCUMENTATION_HREF}" title= "{DOCUMENTATION_TITLE}" target= "cpg_documentation">{DOCUMENTATION_LNK}</a></td>
          <!-- END documentation -->
        </tr>
      </table>

EOT;
/******************************************************************************
** function <<<$template_gallery_admin_menu>>> - END
******************************************************************************/


###############################################################################
## SYS MENU SUB MENU
###############################################################################

/******************************************************************************
** Variable <<<$template_sys_menu>>> - BEGIN
******************************************************************************/
$template_sys_menu = <<<EOT

            <table cellspacing= "0" cellpadding= "0" border= "0" width= "110">
              <tr valign= "top">
                <td align= "right"><img src= "themes/optimize_photosize/images/lt.gif" alt= "" width= "15" height= "15" border= "0" /></td>
                <td class= "td"></td>
                <td><img src= "themes/optimize_photosize/images/rt.gif" alt= "" width= "15" height= "15" border= "0" /></td>
              </tr>
              <tr>
                <td class= "td">&nbsp;</td>
                <td class= "td">
                  <table width= "155" border= "0" cellspacing= "0" cellpadding= "0">
                    <tr>
                      <td>
                      <!--template_sys_menu - begin -->
                        <font size= "1">
                        <span class= "topmenu">
                          <!-- BEGIN my_gallery -->
                          <a href= "{MY_GAL_TGT}" title= "{MY_GAL_TITLE}">{MY_GAL_LNK}</a><br /><br />
                          <!-- END my_gallery -->
                          <!-- BEGIN allow_memberlist -->
                          <a href= "{MEMBERLIST_TGT}" title= "{MEMBERLIST_TITLE}">{MEMBERLIST_LNK}</a><br /><br />
                          <!-- END allow_memberlist -->
                          <!-- BEGIN my_profile -->
                          <a href= "{MY_PROF_TGT}">{MY_PROF_LNK}</a><br /><br />
                          <!-- END my_profile -->
                          <!-- BEGIN faq -->
                          <a href= "{FAQ_TGT}" title= "{FAQ_TITLE}">{FAQ_LNK}</a><br /><br />
                          <!-- END faq -->
                          <!-- BEGIN enter_admin_mode -->
                          <a href= "{ADM_MODE_TGT}" title= "{ADM_MODE_TITLE}">{ADM_MODE_LNK}</a><br /><br />
                          <!-- END enter_admin_mode -->
                          <!-- BEGIN leave_admin_mode -->
                          <a href= "{USR_MODE_TGT}" title= "{USR_MODE_TITLE}">{USR_MODE_LNK}</a><br /><br />
                          <!-- END leave_admin_mode -->
                          <!-- BEGIN upload_pic -->
                          <a href= "{UPL_PIC_TGT}" title= "{UPL_PIC_TITLE}">{UPL_PIC_LNK}</a><br /><br />
                          <!-- END upload_pic -->
                          <!-- BEGIN register -->
                          <a href= "{REGISTER_TGT}" title= "{REGISTER_TITLE}">{REGISTER_LNK}</a><br /><br />
                          <!-- END register -->
                          <!-- BEGIN login -->
                          <a href= "{LOGIN_TGT}" title= "">{LOGIN_LNK}</a>
                          <!-- END login -->
                          <!-- BEGIN logout -->
                          <a href= "{LOGOUT_TGT}" title= "">{LOGOUT_LNK}</a><br />
                          <!-- END logout -->
                        </span>
                        </font>
                        <hr />
                      <!--template_sys_menu - end -->

EOT;
/******************************************************************************
** Variable <<<$template_sys_menu>>> - END
******************************************************************************/


/******************************************************************************
** Variable <<<$template_sub_menu>>> - BEGIN
******************************************************************************/
$template_sub_menu = <<<EOT

                      <!--template_sub_menu - begin -->
                        <font size= "1">
                        <!-- BEGIN custom_link -->
                        <a href= "{CUSTOM_LNK_TGT}" title= "{CUSTOM_LNK_TITLE}">{CUSTOM_LNK_LNK}</a><br /><br />
                        <!-- END custom_link -->
                        <!-- BEGIN album_list -->
                        <a href= "{ALB_LIST_TGT}" title= "{ALB_LIST_TITLE}">{ALB_LIST_LNK}</a><br /><br />
                        <!-- END album_list -->
                        <a href= "{LASTUP_TGT}">{LASTUP_LNK}</a><br /><br />
                        <a href= "{LASTCOM_TGT}">{LASTCOM_LNK}</a><br /><br />
                        <a href= "{TOPN_TGT}">{TOPN_LNK}</a><br /><br />
                        <a href= "{TOPRATED_TGT}">{TOPRATED_LNK}</a><br /><br />
                        <a href= "{FAV_TGT}">{FAV_LNK}</a><br /><br />
                        <a href= "{SEARCH_TGT}">{SEARCH_LNK}</a>
                        </font>
                      <!--template_sub_menu - end -->
                      </td>
                    </tr>
                  </table>
                </td>
                <td class= "td">&nbsp;
                </td>
              </tr>
              <tr>
                <td align= "right"><img src= "themes/optimize_photosize/images/lb.gif" alt= "" width= "15" height= "15" border= "0" /></td>
                <td class= "td">&nbsp;</td>
                <td><img src= "themes/optimize_photosize/images/rb.gif" alt= "" width= "15" height= "15" border= "0" /></td>
              </tr>
            </table>

EOT;
/******************************************************************************
** Variable <<<$template_sub_menu>>> - END
******************************************************************************/

/******************************************************************************
** Function for creating a main menu (SYS_MENU or SUB_MENU) - BEGIN
******************************************************************************/
// Function for creating a main menu (SYS_MENU or SUB_MENU)
if (!function_exists('theme_main_menu')) {  //{THEMES}

function theme_main_menu($which)
{
    global $AUTHORIZED, $CONFIG, $album, $actual_cat, $cat, $REFERER;
    global $lang_main_menu, $template_sys_menu, $template_sub_menu;



    static $sys_menu = '', $sub_menu = '';
    if ($$which != '') {
        return $$which;
    }

    $album_l = isset($album) ? "?album=$album" : '';
    $cat_l = (isset($actual_cat))? "?cat=$actual_cat" : (isset($cat) ? "?cat=$cat" : '');
    $cat_l2 = isset($cat) ? "&amp;cat=$cat" : '';
    $my_gallery_id = FIRST_USER_CAT + USER_ID;



  if ($which == 'sys_menu' ) {
    if (USER_ID) {
        template_extract_block($template_sys_menu, 'login');
    } else {
        template_extract_block($template_sys_menu, 'logout');
        template_extract_block($template_sys_menu, 'my_profile');
    }

    if (!USER_IS_ADMIN) {
        template_extract_block($template_sys_menu, 'enter_admin_mode');
        template_extract_block($template_sys_menu, 'leave_admin_mode');
    } else {
        if (GALLERY_ADMIN_MODE) {
            template_extract_block($template_sys_menu, 'enter_admin_mode');
        } else {
            template_extract_block($template_sys_menu, 'leave_admin_mode');
        }
    }

    if (!USER_CAN_CREATE_ALBUMS) {
        template_extract_block($template_sys_menu, 'my_gallery');
    }

    if (USER_CAN_CREATE_ALBUMS) {
        template_extract_block($template_sys_menu, 'my_profile');
    }

    if (!USER_CAN_UPLOAD_PICTURES && !USER_CAN_CREATE_ALBUMS) {
        template_extract_block($template_sys_menu, 'upload_pic');
    }

    if (USER_ID || !$CONFIG['allow_user_registration']) {
        template_extract_block($template_sys_menu, 'register');
    }

    if (!USER_ID || !$CONFIG['allow_memberlist']) {
        template_extract_block($template_sys_menu, 'allow_memberlist');
    }

    if (!$CONFIG['display_faq']) {
        template_extract_block($template_sys_menu, 'faq');
    }

    $param = array(
        '{HOME_TGT}' => $CONFIG['home_target'],
        '{HOME_TITLE}' => $lang_main_menu['home_title'],
        '{HOME_LNK}' => $lang_main_menu['home_lnk'],
        '{MY_GAL_TGT}' => "index.php?cat=$my_gallery_id",
        '{MY_GAL_TITLE}' => $lang_main_menu['my_gal_title'],
        '{MY_GAL_LNK}' => $lang_main_menu['my_gal_lnk'],
        '{MEMBERLIST_TGT}' => "usermgr.php",
        '{MEMBERLIST_TITLE}' => $lang_main_menu['memberlist_title'],
        '{MEMBERLIST_LNK}' => $lang_main_menu['memberlist_lnk'],
        '{MY_PROF_TGT}' => "profile.php?op=edit_profile",
        '{MY_PROF_TITLE}' => $lang_main_menu['my_prof_title'],
        '{MY_PROF_LNK}' => $lang_main_menu['my_prof_lnk'],
        '{ADM_MODE_TGT}' => "mode.php?admin_mode=1&amp;referer=$REFERER",
        '{ADM_MODE_TITLE}' => $lang_main_menu['adm_mode_title'],
        '{ADM_MODE_LNK}' => $lang_main_menu['adm_mode_lnk'],
        '{USR_MODE_TGT}' => "mode.php?admin_mode=0&amp;referer=$REFERER",
        '{USR_MODE_TITLE}' => $lang_main_menu['usr_mode_title'],
        '{USR_MODE_LNK}' => $lang_main_menu['usr_mode_lnk'],
        '{UPL_PIC_TGT}' => "upload.php",
        '{UPL_PIC_TITLE}' => $lang_main_menu['upload_pic_title'],
        '{UPL_PIC_LNK}' => $lang_main_menu['upload_pic_lnk'],
        '{REGISTER_TGT}' => "register.php",
        '{REGISTER_TITLE}' => $lang_main_menu['register_title'],
        '{REGISTER_LNK}' => $lang_main_menu['register_lnk'],
        '{LOGIN_TGT}' => "login.php?referer=$REFERER",
        '{LOGIN_TITLE}' => $lang_main_menu['login_title'],
        '{LOGIN_LNK}' => $lang_main_menu['login_lnk'],
        '{LOGOUT_TGT}' => "logout.php?referer=$REFERER",
        '{LOGOUT_TITLE}' => $lang_main_menu['logout_title'],
        '{LOGOUT_LNK}' => $lang_main_menu['logout_lnk'] . " [" . stripslashes(USER_NAME) . "]",
        '{FAQ_TGT}' => "faq.php",
        '{FAQ_TITLE}' => $lang_main_menu['faq_title'],
        '{FAQ_LNK}' => $lang_main_menu['faq_lnk'],
        );

        $sys_menu = template_eval($template_sys_menu, $param);
  } else {

    if (!$CONFIG['custom_lnk_url']) {
        template_extract_block($template_sub_menu, 'custom_link');
    }

    $param = array(
        '{ALB_LIST_TGT}' => "index.php$cat_l",
        '{ALB_LIST_TITLE}' => $lang_main_menu['alb_list_title'],
        '{ALB_LIST_LNK}' => $lang_main_menu['alb_list_lnk'],
        '{CUSTOM_LNK_TGT}' => $CONFIG['custom_lnk_url'],
        '{CUSTOM_LNK_TITLE}' => $CONFIG['custom_lnk_name'],
        '{CUSTOM_LNK_LNK}' => $CONFIG['custom_lnk_name'],
        '{LASTUP_TGT}' => "thumbnails.php?album=lastup&amp;cat_l2",
        '{LASTUP_TITLE}' => $lang_main_menu['lastup_title'],
        '{LASTUP_LNK}' => $lang_main_menu['lastup_lnk'],
        '{LASTCOM_TGT}' => "thumbnails.php?album=lastcom&amp;cat_l2",
        '{LASTCOM_TITLE}' => $lang_main_menu['lastcom_title'],
        '{LASTCOM_LNK}' => $lang_main_menu['lastcom_lnk'],
        '{TOPN_TGT}' => "thumbnails.php?album=topn&amp;cat_l2",
        '{TOPN_TITLE}' => $lang_main_menu['topn_title'],
        '{TOPN_LNK}' => $lang_main_menu['topn_lnk'],
        '{TOPRATED_TGT}' => "thumbnails.php?album=toprated&amp;cat_l2",
        '{TOPRATED_TITLE}' => $lang_main_menu['toprated_title'],
        '{TOPRATED_LNK}' => $lang_main_menu['toprated_lnk'],
        '{FAV_TGT}' => "thumbnails.php?album=favpics",
        '{FAV_TITLE}' => $lang_main_menu['fav_title'],
        '{FAV_LNK}' => $lang_main_menu['fav_lnk'],
        '{SEARCH_TGT}' => "search.php",
        '{SEARCH_TITLE}' => $lang_main_menu['search_title'],
        '{SEARCH_LNK}' => $lang_main_menu['search_lnk'],
        );
    $sub_menu = template_eval($template_sub_menu, $param);
  }


$pattern  = "#([a-z-]+)\.php(.*)#";
    $match = array();
    preg_match($pattern, $REFERER, $match);
        if($match[1] != "displayimage")
        {
		if($sub_menu != "")
		{
    $retour = "";
    if ($_SERVER['PHP_SELF'] != "displayimage.php"){
################
//code si cpmfetch est présent
if(is_dir(cpmfetch)){
  include_once "cpmfetch/cpmfetch.php";  
  $objCpm = new cpm("cpmfetch/cpmfetch_config.php");
  $objCpm->cpm_setReturnType("resultset");
  $resultat = $objCpm->cpm_viewRandomMedia(1, 1, $options); 
  $objCpm->cpm_close();  
  $retour .=  '            <br />
            <table width= "100%" align= "center" cellspacing= "0" cellpadding= "0" border= "0">
              <tr>
                <td align= "center">Image au hasard</td>
              </tr>';
    foreach ($resultat as $image){
          $retour .=  '
              <tr>
                <td align= "center" class= "display_media" nowrap= "nowrap">
                  <table bgcolor= "#ffffff" border= "0" cellpadding= "0" cellspacing= "0">
                    <tbody>
              <tr>
                <td class="cadre01"><img src= "themes/optimize_photosize/images/spacer.gif" alt= "" /></td>
                <td align= "center" valign= "middle">
                  <table width="100%" bgcolor= "#ffffff" border= "0" cellpadding= "0" cellspacing= "0">
                    <tr>
                      <td class="cadre02"><img src= "images/spacer.gif" alt= "" /></td>
                      <td class="cadre03"><img src= "images/spacer.gif" alt= "" /></td>
                      <td class="cadre04"><img src= "images/spacer.gif" alt= "" /></td>
                    </tr>
                  </table>
                </td>
                <td class="cadre05"><img src= "themes/optimize_photosize/images/spacer.gif" alt= "" /></td>
              </tr>
              <tr>

                <td class="cadre09" align= "center" valign="top">
                  <table id="centpourcent" width="100%" bgcolor= "#ffffff" border= "0" cellpadding= "0" cellspacing= "0">
                    <tr>
                      <td class="cadre06"><img src= "images/spacer.gif" alt= "" /></td>
                    </tr>
                    <tr>
                      <td class="cadre09"><img src= "images/spacer.gif" alt= "" /></td>
                    </tr>
                    <tr>
                      <td class="cadre11"><img src= "images/spacer.gif" alt= "" /></td>
                    </tr>
                  </table>
                </td>
                <td align= "center" valign= "middle">
                 <a href= "./displayimage-'.$image['pPid'].'.html"><img src= "./'.$image['fullPathToThumb'].'" class= "image" alt= "une image au hasard" /></a>
                </td>
                <td class="cadre10" align= "center"valign="top">
                  <table id="centpourcent" width="100%" bgcolor= "#ffffff" border= "0" cellpadding= "0" cellspacing= "0">
                    <tr>
                      <td class="cadre08"><img src= "images/spacer.gif" alt= "" /></td>
                    </tr>
                    <tr>
                      <td class="cadre10"><img src= "images/spacer.gif" alt= "" /></td>
                    </tr>
                    <tr>
                      <td class="cadre12"><img src= "images/spacer.gif" alt= "" /></td>
                    </tr>
                  </table>
                </td>
              </tr>
              <tr>
                <td class="cadre13"><img src= "themes/optimize_photosize/images/spacer.gif" alt= "" /></td>
                <td align= "center" valign= "middle">
                  <table width="100%" bgcolor= "#ffffff" border= "0" cellpadding= "0" cellspacing= "0">
                    <tr>
                      <td class="cadre14"><img src= "images/spacer.gif" alt= "" /></td>
                      <td class="cadre15"><img src= "images/spacer.gif" alt= "" /></td>
                      <td class="cadre16"><img src= "images/spacer.gif" alt= "" /></td>
                    </tr>
                  </table>
                </td>
                <td class="cadre17"><img src= "themes/optimize_photosize/images/spacer.gif" alt= "" /></td>
              </tr>
                   </tbody>
                </table>
';
    }


  $retour .=  '                </td>

              </tr>
            </table>';
}
//fin de code pour cpmfetch
  $retour .=           '</td>
        </tr>
      </table>
      <!--/tableau ouvert dans le template pour le menu de gauche fermé par la fonction theme_main_menu-->';
}


        $$which = $$which.$retour."
    </td>
    <td>";
		}
        }


    return $$which;
}

}  //{THEMES}

/******************************************************************************
** Function for creating a main menu (SYS_MENU or SUB_MENU) - END
******************************************************************************/


###############################################################################
## FILM STRIP
###############################################################################

/******************************************************************************
** variable <<<template_film_strip>>> - BEGIN
******************************************************************************/
// HTML template for filmstrip display
$template_film_strip = <<<EOT

                    {THUMB_STRIP}
                    <!-- BEGIN thumb_cell -->
                    <tr>
                      <td align= "center" class= "display_media" nowrap= "nowrap">
                        <table bgcolor= "#ffffff" border= "0" cellpadding= "0" cellspacing= "0">
                          <tbody>
              <tr>
                <td class="cadre01"><img src= "themes/optimize_photosize/images/spacer.gif" alt= "" /></td>
                <td align= "center" valign= "middle">
                  <table width="100%" bgcolor= "#ffffff" border= "0" cellpadding= "0" cellspacing= "0">
                    <tr>
                      <td class="cadre02"><img src= "images/spacer.gif" alt= "" /></td>
                      <td class="cadre03"><img src= "images/spacer.gif" alt= "" /></td>
                      <td class="cadre04"><img src= "images/spacer.gif" alt= "" /></td>
                    </tr>
                  </table>
                </td>
                <td class="cadre05"><img src= "themes/optimize_photosize/images/spacer.gif" alt= "" /></td>
              </tr>
              <tr>

                <td class="cadre09" align= "center" valign="top">
                  <table id="centpourcent" width="100%" bgcolor= "#ffffff" border= "0" cellpadding= "0" cellspacing= "0">
                    <tr>
                      <td class="cadre06"><img src= "images/spacer.gif" alt= "" /></td>
                    </tr>
                    <tr>
                      <td class="cadre09"><img src= "images/spacer.gif" alt= "" /></td>
                    </tr>
                    <tr>
                      <td class="cadre11"><img src= "images/spacer.gif" alt= "" /></td>
                    </tr>
                  </table>
                </td>
                <td align= "center" valign= "middle">
                                <a href= "{LINK_TGT}">{THUMB}</a>
                </td>
                <td class="cadre10" align= "center"valign="top">
                  <table id="centpourcent" width="100%" bgcolor= "#ffffff" border= "0" cellpadding= "0" cellspacing= "0">
                    <tr>
                      <td class="cadre08"><img src= "images/spacer.gif" alt= "" /></td>
                    </tr>
                    <tr>
                      <td class="cadre10"><img src= "images/spacer.gif" alt= "" /></td>
                    </tr>
                    <tr>
                      <td class="cadre12"><img src= "images/spacer.gif" alt= "" /></td>
                    </tr>
                  </table>
                </td>
              </tr>
              <tr>
                <td class="cadre13"><img src= "themes/optimize_photosize/images/spacer.gif" alt= "" /></td>
                <td align= "center" valign= "middle">
                  <table width="100%" bgcolor= "#ffffff" border= "0" cellpadding= "0" cellspacing= "0">
                    <tr>
                      <td class="cadre14"><img src= "images/spacer.gif" alt= "" /></td>
                      <td class="cadre15"><img src= "images/spacer.gif" alt= "" /></td>
                      <td class="cadre16"><img src= "images/spacer.gif" alt= "" /></td>
                    </tr>
                  </table>
                </td>
                <td class="cadre17"><img src= "themes/optimize_photosize/images/spacer.gif" alt= "" /></td>
              </tr>
                          </tbody>
                        </table>
                      </td>
                    </tr>
                      {CAPTION}
                      {ADMIN_MENU}
                    <!-- END thumb_cell -->

EOT;
/******************************************************************************
** variable <<<template_film_strip>>> - END
******************************************************************************/

/******************************************************************************
** function <<<theme_display_film_strip>>> - BEGIN
******************************************************************************/
// Added to display film_strip
function theme_display_film_strip(&$thumb_list, $nbThumb, $album_name, $aid, $cat, $pos, $sort_options, $mode = 'thumb')
{
    global $CONFIG, $THEME_DIR;
    global $template_film_strip, $lang_film_strip;

    static $template = '';
    static $thumb_cell = '';
    static $spacer = '';

    if ((!$template)) {
        $template = $template_film_strip;
        $thumb_cell = template_extract_block($template, 'thumb_cell');
    }
    $cat_link = is_numeric($aid) ? '' : '&amp;cat=' . $cat;

    $thumbcols = $CONFIG['thumbcols'];
    $cell_width = ceil(100 / $CONFIG['max_film_strip_items']) . '%';

    $i = 0;
    $thumb_strip = '';
    foreach($thumb_list as $thumb) {
        $i++;
        if ($mode == 'thumb') {
            $params = array('{CELL_WIDTH}' => $cell_width,
                '{LINK_TGT}' => "displayimage.php?album=$aid$cat_link&amp;pos={$thumb['pos']}",
                '{THUMB}' => $thumb['image'],
                '{CAPTION}' => '',
                '{ADMIN_MENU}' => ''
                );
        } else {
            $params = array('{CELL_WIDTH}' => $cell_width,
                '{LINK_TGT}' => "index.php?cat={$thumb['cat']}",
                '{THUMB}' => $thumb['image'],
                '{CAPTION}' => '',
                '{ADMIN_MENU}' => ''
                );
        }
        $thumb_strip .= template_eval($thumb_cell, $params);
    }
    if (defined('THEME_HAS_FILM_STRIP_GRAPHICS')) {
        $tile1 = $THEME_DIR . 'images/tile1.gif';
        $tile2 = $THEME_DIR . 'images/tile2.gif';
    } elseif (defined('THEME_HAS_FILM_STRIP_GRAPHIC')) {
        $tile1=$tile2=$THEME_DIR . 'images/tile.gif';
    } else {
        $tile1=$tile2= 'images/tile.gif';
    }

    $params = array('{THUMB_STRIP}' => $thumb_strip,
        '{COLS}' => $i,
        '{TILE1}' => $tile1,
        '{TILE2}' => $tile2,
        );

    ob_start();
    starttable('100%');
      echo template_eval($template, $params);
      echo "                    ";
    endtable();
    $film_strip = ob_get_contents();
    ob_end_clean();
    return $film_strip;
}
/******************************************************************************
** function <<<theme_display_film_strip>>> - END
******************************************************************************/


/******************************************************************************
** HTML template for the album list - BEGIN
******************************************************************************/

$template_album_list = <<<EOT
        <!-- BEGIN stat_row -->
        <tr>
          <td colspan="{COLUMNS}" class="tableh1" align="center"><span class="statlink">{STATISTICS}</span></td>
        </tr>
        <!-- END stat_row -->
        <!-- BEGIN header -->
        <tr class="tableb_compact">
        <!-- END header -->
        <!-- BEGIN album_cell -->
          <td width="{COL_WIDTH}%" valign="top">
            <table width="100%" cellspacing="0" cellpadding="0">
              <tr>
                <td colspan="3" height="1" align="left" valign="top" class="tableh2">
                  <span class="alblink"><a href="{ALB_LINK_TGT}"><b>{ALBUM_TITLE}</b></a></span>
                </td>
              </tr>
              <tr>
                <td colspan="3">
                  <img src="images/spacer.gif" width="1" height="1" border="0" alt="" /><br />
                </td>
              </tr>
              <tr>
                <td align="center" valign="middle" class="thumbnails">
                  <img src="images/spacer.gif" width="{THUMB_CELL_WIDTH}" height="1" class="image_thumb" style="margin-top: 0px; margin-bottom: 0px; border: none;" alt="" /><br />
                  <a href="{ALB_LINK_TGT}" class="albums">{ALB_LINK_PIC}<br /></a>
                </td>
                <td>
                  <img src="images/spacer.gif" width="1" height="1" border="0" alt="" />
                </td>
                <td width="100%" valign="top" align="left" class="tableb_compact">
                  {ADMIN_MENU}
                  <p>{ALB_DESC}</p>
                  <p class="album_stat">{ALB_INFOS}</p>
                </td>
              </tr>
            </table>
          </td>
          <!-- END album_cell -->
          <!-- BEGIN empty_cell -->
          <td width="{COL_WIDTH}%" valign="top">
            <table width="100%" cellspacing="0" cellpadding="0">
              <tr>
                <td height="1" valign="top" class="tableh2">
                  <b>&nbsp;</b>
                </td>
              </tr>
              <tr>
                <td>
                  <img src="images/spacer.gif" width="1" height="1" border="0" alt="" /><br />
                </td>
              </tr>
              <tr>
                <td width="100%" valign="top" class="tableb_compact">
                  <div class="thumbnails" style="background-color:transparent"><img src="images/spacer.gif" width="1" height="{SPACER}" border="0" class="image_thumb" style="border:0;margin-top:1px;margin-bottom:0" alt="" /></div>
                </td>
              </tr>
            </table>
          </td>
          <!-- END empty_cell -->
          <!-- BEGIN row_separator -->
        </tr>
        <tr class="tableb_compact">
        <!-- END row_separator -->
        <!-- BEGIN footer -->
        </tr>
        <!-- END footer -->
        <!-- BEGIN tabs -->
        <tr>
          <td colspan="{COLUMNS}" style="padding: 0px;">
            <table width="100%" cellspacing="0" cellpadding="0">
              <tr>
                {TABS}
              </tr>
            </table>
          </td>
        </tr>
      <!-- END tabs -->
      <!-- BEGIN spacer -->
        <img src="images/spacer.gif" width="1" height="7" border="" alt="" /><br />
      <!-- END spacer -->
EOT;

/******************************************************************************
** HTML template for the album list - END
******************************************************************************/


/******************************************************************************
** function <<<$template_album_admin_menu>>> - BEGIN
******************************************************************************/
// HTML template for the ALBUM admin menu displayed in the album list
$template_album_admin_menu = <<<EOT

                  <table border="0" cellpadding="0" cellspacing="1">
                    <tr>
                      <td align="center" valign="middle" class="admin_menu">
                        <a href="delete.php?id={ALBUM_ID}&amp;what=album"  class="adm_menu" onclick="return confirm('{CONFIRM_DELETE}');">{DELETE}</a>
                      </td>
                      <td align="center" valign="middle" class="admin_menu">
                        <a href="modifyalb.php?album={ALBUM_ID}"  class="adm_menu">{MODIFY}</a>
                      </td>
                      <td align="center" valign="middle" class="admin_menu">
                        <a href="editpics.php?album={ALBUM_ID}"  class="adm_menu">{EDIT_PICS}</a>
                      </td>
                    </tr>
                  </table>

EOT;
/******************************************************************************
** function <<<$template_album_admin_menu>>> - END
******************************************************************************/


###############################################################################
## DISPLAY IMAGE
###############################################################################

/******************************************************************************
** function <<<theme_display_image>>> - BEGIN
******************************************************************************/
function theme_display_image($nav_menu, $picture, $votes, $pic_info, $comments, $film_strip)
{
    global $HTTP_COOKIE_VARS, $CONFIG;

    starttable('100%');
    if ($CONFIG['display_film_strip'] == 1) {
		echo "
              <!-- gb before film_strip -->
              <tr>
                <td>
                  ";
	        echo $film_strip;
		echo "
                </td>
              </tr>
            ";
            endtable();
              echo "
            <!-- gb after film_strip --> 
          </td>
        </tr>
      </table>
      <!--/tableau ouvert dans le template pour le menu de gauche fermé par la fonction theme_display_image-->
";
    }
		echo '
      <!-- gb before picture -->
    </td>
    <td>
      <table width= "100%" cellpadding= "0" cellspacing= "0">';
      echo $picture;
echo "
      </table>
    </td>
  </tr>
  <tr>
    <td>";
  echo "
      <!-- gb after picture -->
      ";
    //endtable();
    starttable();
	    echo $nav_menu;
    endtable();
    	echo $votes;
    $picinfo = isset($HTTP_COOKIE_VARS['picinfo']) ? $HTTP_COOKIE_VARS['picinfo'] : ($CONFIG['display_pic_info'] ? 'block' : 'none');
    echo "<div id=\"picinfo\" style=\"display: $picinfo;\">\n";
    starttable();
    echo $pic_info;
    endtable();
    echo "</div>\n";
    echo $comments."";
}
/******************************************************************************
** function <<<theme_display_image>>> - END
******************************************************************************/


/******************************************************************************
** Variable <<<$template_display_media>>> - START
******************************************************************************/
$template_display_media = <<<EOT
        <!--template_display_media - begin-->
        <tr valign= "top">
          <td align= "center" class= "display_media" nowrap= "nowrap">
            <table bgcolor= "#ffffff" border= "0" cellpadding= "0" cellspacing= "0">
            <tbody>
              <tr>
                <td class="cadre01"><img src= "themes/optimize_photosize/images/spacer.gif" alt= "" /></td>
                <td align= "center" valign= "middle">
                  <table width="100%" bgcolor= "#ffffff" border= "0" cellpadding= "0" cellspacing= "0">
                    <tr>
                      <td class="cadre02"><img src= "images/spacer.gif" alt= "" /></td>
                      <td class="cadre03"><img src= "images/spacer.gif" alt= "" /></td>
                      <td class="cadre04"><img src= "images/spacer.gif" alt= "" /></td>
                    </tr>
                  </table>
                </td>
                <td class="cadre05"><img src= "themes/optimize_photosize/images/spacer.gif" alt= "" /></td>
              </tr>
              <tr>

                <td class="cadre09" align= "center" valign="top">
                  <table id="centpourcent" width="100%" bgcolor= "#ffffff" border= "0" cellpadding= "0" cellspacing= "0">
                    <tr>
                      <td class="cadre06"><img src= "images/spacer.gif" alt= "" /></td>
                    </tr>
                    <tr>
                      <td class="cadre09"><img src= "images/spacer.gif" alt= "" /></td>
                    </tr>
                    <tr>
                      <td class="cadre11"><img src= "images/spacer.gif" alt= "" /></td>
                    </tr>
                  </table>
                </td>
                <td align= "center" valign= "middle">
                  <!--image - insertion-->
                  {IMAGE}
                  <!--image - fin insertion-->
                </td>
                <td class="cadre10" align= "center"valign="top">
                  <table id="centpourcent" width="100%" bgcolor= "#ffffff" border= "0" cellpadding= "0" cellspacing= "0">
                    <tr>
                      <td class="cadre08"><img src= "images/spacer.gif" alt= "" /></td>
                    </tr>
                    <tr>
                      <td class="cadre10"><img src= "images/spacer.gif" alt= "" /></td>
                    </tr>
                    <tr>
                      <td class="cadre12"><img src= "images/spacer.gif" alt= "" /></td>
                    </tr>
                  </table>
                </td>
              </tr>
              <tr>
                <td class="cadre13"><img src= "themes/optimize_photosize/images/spacer.gif" alt= "" /></td>
                <td align= "center" valign= "middle">
                  <table width="100%" bgcolor= "#ffffff" border= "0" cellpadding= "0" cellspacing= "0">
                    <tr>
                      <td class="cadre14"><img src= "images/spacer.gif" alt= "" /></td>
                      <td class="cadre15"><img src= "images/spacer.gif" alt= "" /></td>
                      <td class="cadre16"><img src= "images/spacer.gif" alt= "" /></td>
                    </tr>
                  </table>
                </td>
                <td class="cadre17"><img src= "themes/optimize_photosize/images/spacer.gif" alt= "" /></td>
              </tr>

            </tbody>
            </table>
          </td>
        </tr>
        <tr>
          <td>
            <table width= "100%" cellspacing= "2" cellpadding= "0" class= "tableb">
              <tr>
                <td align= "center">
                  <!--admin_menu - insertion-->
                  {ADMIN_MENU}
                  <!--admin_menu - fin insertion-->
                </td>
              </tr>
            </table>
            <!-- BEGIN img_desc -->
            <table cellpadding= "0" cellspacing= "0" class= "tableb" width= "100%">
              <!-- BEGIN title -->
              <tr>
                <td class= "tableb""><h1 class= "pic_title">
                  {TITLE}
                  </h1>
                </td>
              </tr>
              <!-- END title -->
              <!-- BEGIN caption -->
              <tr>
                <td class= "tableb"><h2 class= "pic_caption">
                  {CAPTION}
                  </h2>
                </td>
              </tr>
              <!-- END caption -->
            </table>
            <!-- END img_desc -->
          </td>
        </tr>
        <!--template_display_media - end -->

EOT;
/******************************************************************************
** Variable <<<$template_display_media>>> - END
******************************************************************************/


/******************************************************************************
** Variable <<<$template_thumbnail_view>>> - START
******************************************************************************/
$template_thumbnail_view = <<<EOT
        <!--template_thumbnail_view - begin -->
        <!-- BEGIN header -->
        <tr>
        <!-- END header -->
        <!-- BEGIN thumb_cell -->
          <td valign= "top" class= "thumbnails" width = "25%" align= "center">
            <table width = "100%" cellpadding= "0" cellspacing= "0">
              <tr>
                <td align= "center">
                  <table bgcolor= "#ffffff" border= "0" cellpadding= "0" cellspacing= "0">
                  <tbody>
              <tr>
                <td class="cadre01"><img src= "themes/optimize_photosize/images/spacer.gif" alt= "" /></td>
                <td align= "center" valign= "middle">
                  <table width="100%" bgcolor= "#ffffff" border= "0" cellpadding= "0" cellspacing= "0">
                    <tr>
                      <td class="cadre02"><img src= "images/spacer.gif" alt= "" /></td>
                      <td class="cadre03"><img src= "images/spacer.gif" alt= "" /></td>
                      <td class="cadre04"><img src= "images/spacer.gif" alt= "" /></td>
                    </tr>
                  </table>
                </td>
                <td class="cadre05"><img src= "themes/optimize_photosize/images/spacer.gif" alt= "" /></td>
              </tr>
              <tr>

                <td class="cadre09" align= "center" valign="top">
                  <table id="centpourcent" width="100%" bgcolor= "#ffffff" border= "0" cellpadding= "0" cellspacing= "0">
                    <tr>
                      <td class="cadre06"><img src= "images/spacer.gif" alt= "" /></td>
                    </tr>
                    <tr>
                      <td class="cadre09"><img src= "images/spacer.gif" alt= "" /></td>
                    </tr>
                    <tr>
                      <td class="cadre11"><img src= "images/spacer.gif" alt= "" /></td>
                    </tr>
                  </table>
                </td>
                <td align= "center" valign= "middle">
                        <a href= "{LINK_TGT}">
                        <!--thumb - insertion-->
                        {THUMB}
                        <!--thumb - fin insertion-->
                        </a>
                </td>
                <td class="cadre10" align= "center"valign="top">
                  <table id="centpourcent" width="100%" bgcolor= "#ffffff" border= "0" cellpadding= "0" cellspacing= "0">
                    <tr>
                      <td class="cadre08"><img src= "images/spacer.gif" alt= "" /></td>
                    </tr>
                    <tr>
                      <td class="cadre10"><img src= "images/spacer.gif" alt= "" /></td>
                    </tr>
                    <tr>
                      <td class="cadre12"><img src= "images/spacer.gif" alt= "" /></td>
                    </tr>
                  </table>
                </td>
              </tr>
              <tr>
                <td class="cadre13"><img src= "themes/optimize_photosize/images/spacer.gif" alt= "" /></td>
                <td align= "center" valign= "middle">
                  <table width="100%" bgcolor= "#ffffff" border= "0" cellpadding= "0" cellspacing= "0">
                    <tr>
                      <td class="cadre14"><img src= "images/spacer.gif" alt= "" /></td>
                      <td class="cadre15"><img src= "images/spacer.gif" alt= "" /></td>
                      <td class="cadre16"><img src= "images/spacer.gif" alt= "" /></td>
                    </tr>
                  </table>
                </td>
                <td class="cadre17"><img src= "themes/optimize_photosize/images/spacer.gif" alt= "" /></td>
              </tr>
                  </tbody>
                  </table>
                        {CAPTION}
                        {ADMIN_MENU}
                </td>
              </tr>
            </table>
          </td>
          <!-- END thumb_cell -->
          <!-- BEGIN empty_cell -->
          <td valign = "top" class= "thumbnails" align= "center">&nbsp;</td>
          <!-- END empty_cell -->
          <!-- BEGIN row_separator -->
        </tr>
        <tr>
          <!-- END row_separator -->
          <!-- BEGIN footer -->
        </tr>
      <!-- END footer -->
      <!-- BEGIN tabs -->
        <tr>
          <td colspan= "{THUMB_COLS}" style= "padding: 0px;">
            <table width= "100%" cellspacing= "0" cellpadding= "0">
              <tr>
                {TABS}
              </tr>
            </table>
          </td>
        </tr>
      <!-- END tabs -->
      <!-- BEGIN spacer -->
      <img src= "images/spacer.gif" alt= "" width= "1" height= "7" border= "" /><br />
      <!-- END spacer -->
      <!--template_thumbnail_view - end -->

EOT;
/******************************************************************************
** Variable <<<$template_thumbnail_view>>> - END
******************************************************************************/


/******************************************************************************
** Variable <<<$template_album_list_cat>>> - BEGIN
******************************************************************************/
// HTML template for the album list
$template_album_list_cat = <<<EOT

<!-- BEGIN c_stat_row -->
        <tr>
                <td colspan="{COLUMNS}" class="tableh1" align="center"><span class="statlink">{STATISTICS}</span></td>
        </tr>
<!-- END c_stat_row -->
<!-- BEGIN c_header -->
        <tr class="tableb_compact">
<!-- END c_header -->
<!-- BEGIN c_album_cell -->
        <td width="{COL_WIDTH}%" valign="top">
        <table width="100%" cellspacing="0" cellpadding="0">
        <tr>
                <td colspan="3" height="1" valign="top" class="tableh2">
                        <span class="alblink"><a href="{ALB_LINK_TGT}"><b>{ALBUM_TITLE}</b></a></span>
                </td>
        </tr>
        <tr>
                <td colspan="3">
                        <img src="images/spacer.gif" width="1" height="1" border="0" alt="" /><br />
                </td>
        </tr>
        <tr>
                <td align="center" valign="middle" class="thumbnails">
                        <img src="images/spacer.gif" width="{THUMB_CELL_WIDTH}" height="1" class="image_thumb" style="margin-top: 0px; margin-bottom: 0px; border: none;" alt="" /><br />
                        <a href="{ALB_LINK_TGT}" class="albums">{ALB_LINK_PIC}<br /></a>
                </td>
                <td>
                        <img src="images/spacer.gif" width="1" height="1" border="0" alt="" />
                </td>
                <td width="100%" valign="top" class="tableb_compact">
                        {ADMIN_MENU}
                        <p>{ALB_DESC}</p>
                        <p class="album_stat">{ALB_INFOS}</p>
                </td>
        </tr>
        </table>
        </td>
<!-- END c_album_cell -->
<!-- BEGIN c_empty_cell -->
        <td width="{COL_WIDTH}%" valign="top">
        <table width="100%" cellspacing="0" cellpadding="0" >
        <tr>
                <td height="1" valign="top" class="tableh2">
                        <b>&nbsp;</b>
                </td>
        </tr>
        <tr>
                <td>
                        <img src="images/spacer.gif" width="1" height="1" border="0" alt="" /><br />
                </td>
        </tr>
        <tr>
                <td width="100%" valign="top" class="tableb_compact" >
                      <div class="thumbnails" style="background-color:transparent"><img src="images/spacer.gif" width="1" height="{SPACER}" border="0" class="image_thumb" style="border:0;margin-top:1px;margin-bottom:0" alt="" /></div>
                </td>
        </tr>
        </table>
        </td>
<!-- END c_empty_cell -->
<!-- BEGIN c_row_separator -->
        </tr>
        <tr class="tableb_compact">
<!-- END c_row_separator -->
<!-- BEGIN c_footer -->
        </tr>
<!-- END c_footer -->
<!-- BEGIN c_tabs -->
        <tr>
                <td colspan="{COLUMNS}" style="padding: 0px;">
                        <table width="100%" cellspacing="0" cellpadding="0">
                                <tr>
                                       {TABS}
                                </tr>
                        </table>
                </td>
        </tr>
<!-- END c_tabs -->
<!-- BEGIN c_spacer -->
        <img src="images/spacer.gif" width="1" height="7" border="" alt="" /><br />
<!-- END c_spacer -->


EOT;

/******************************************************************************
** Variable <<<$template_album_list_cat>>> - END
******************************************************************************/


/******************************************************************************
** Function <<<theme_slideshow>>> - BEGIN
******************************************************************************/


function theme_slideshow()
{
    global $CONFIG, $CURRENT_PIC_DATA, $lang_display_image_php, $template_display_media;

    pageheader($lang_display_image_php['slideshow']);

    include "include/slideshow.inc.php";

    $start_slideshow = '<script language= "JavaScript" type= "text/JavaScript">runSlideShow()</script>';
    template_extract_block($template_display_media, 'img_desc', $start_slideshow);

    $image_size = compute_img_size($CURRENT_PIC_DATA['pwidth'], $CURRENT_PIC_DATA['pheight'], $CONFIG['picture_width']);
$taillemax=substr($image_size['geom'],9,-1);
//NOMBRE DE PIXEL À ENLEVER POUR DÉTERMINER LA RÉSOLUTION DE LA PHOTO
$res480='140';
$res600='280';
$res768='300';
$res800='300';
$res864='300';
$res900='240';
$res960='340';
$res1024='365';

$javaslide = "<script>
if(screen.height-".$res480.">".$taillemax."){document.write('<img src=\"".$start_img."\" height = \"".$taillemax."\" border=\"0\" name= \"SlideShow\" class=\"image_big\" />')}
else{
  if(screen.height<=480) {document.write('<img src=\"".$start_img."\" height = \"' + (screen.height-".$res480.") + '\" border=\"0\" name= \"SlideShow\" class=\"image_big\" />')}
  else {
    if(screen.height-".$res600.">".$taillemax."){document.write('<img src=\"".$start_img."\" height = \"".$taillemax."\" border=\"0\" name= \"SlideShow\" class=\"image_big\" />')}
    else{
      if(screen.height<=600){document.write('<img src=\"".$start_img."\" height = \"' + (screen.height-".$res600.") + '\" border=\"0\" name= \"SlideShow\" class=\"image_big\" />')}
      else{
        if(screen.height-".$res768.">".$taillemax."){document.write('<img src=\"".$start_img."\" height = \"".$taillemax."\" border=\"0\" name= \"SlideShow\" class=\"image_big\" />')}
        else {
          if(screen.height<=768){document.write('<img src=\"".$start_img."\" height = \"' + (screen.height-".$res768.") + '\" border=\"0\" name= \"SlideShow\" class=\"image_big\" />')}
          else{
            if(screen.height-".$res800.">".$taillemax."){document.write('<img src=\"".$start_img."\" height = \"".$taillemax."\" border=\"0\" name= \"SlideShow\" class=\"image_big\" />')}
            else {
              if(screen.height<=800){document.write('<img src=\"".$start_img."\" height = \"' + (screen.height-".$res800.") + '\" border=\"0\" name= \"SlideShow\" class=\"image_big\" />')}
              else{
                if(screen.height-".$res864.">".$taillemax."){document.write('<img src=\"".$start_img."\" height = \"".$taillemax."\" border=\"0\" name= \"SlideShow\" class=\"image_big\" />')}
                else {
                  if(screen.height<=864){document.write('<img src=\"".$start_img."\" height = \"' + (screen.height-".$res864.") + '\" border=\"0\" name= \"SlideShow\" class=\"image_big\" />')}
                  else{
                    if(screen.height-".$res900.">".$taillemax."){document.write('<img src=\"".$start_img."\" height = \"".$taillemax."\" border=\"0\" name= \"SlideShow\" class=\"image_big\" />')}
                    else {
                      if(screen.height<=900){document.write('<img src=\"".$start_img."\" height = \"' + (screen.height-".$res900.") + '\" border=\"0\" name= \"SlideShow\" class=\"image_big\" />')}
                      else{
                        if(screen.height-".$res960.">".$taillemax."){document.write('<img src=\"".$start_img."\" height = \"".$taillemax."\" border=\"0\" name= \"SlideShow\" class=\"image_big\" />')}
                        else {
                          if(screen.height<=960){document.write('<img src=\"".$start_img."\" height = \"' + (screen.height-".$res960.") + '\" border=\"0\" name= \"SlideShow\" class=\"image_big\" />')}
                          else{
                            if(screen.height-".$res1024.">".$taillemax."){document.write('<img src=\"".$start_img."\" height = \"".$taillemax."\" border=\"0\" name= \"SlideShow\" class=\"image_big\" />')}
                            else {
                            document.write('<img src=\"".$start_img."\" height = \"' + (screen.height-$res1024) + '\" border=\"0\" name= \"SlideShow\" class=\"image_big\" />')
                            }
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        }
      }
    }
  }
}
</script>";


    $params = array('{CELL_HEIGHT}' => $CONFIG['picture_width'] + 100,
        '{IMAGE}' => $javaslide,
// '<img src= "' . $start_img . '" name= "SlideShow" class="image_big" /><br />',
        '{ADMIN_MENU}' => '',
        );
    echo <<<EOT
        </td>
        <td>
          <table cellpadding= "0" cellspacing= "0">
EOT;
    starttable();
    echo template_eval($template_display_media, $params);
    endtable();
    starttable();
    echo <<<EOT
            <tr>
              <td align= "center" class= "navmenu" style= "white-space: nowrap;">
                <a href= "javascript:endSlideShow()" class= "navmenu">{$lang_display_image_php['stop_slideshow']}</a>
              </td>
            </tr>
          </table>
EOT;
    endtable();
    pagefooter();
}
/******************************************************************************
** Function <<<theme_slideshow>>> - END
******************************************************************************/

/******************************************************************************
** Function <<<$template_thumb_view_title_row>>> - BEGIN
******************************************************************************/
// HTML template for title row of the thumbnail view (album title + sort options)
$template_thumb_view_title_row = <<<EOT

                        <table width= "100%" cellpadding= "0" cellspacing= "0">
                        <tr>
                                <td width= "100%" class= "statlink"><h2>{ALBUM_NAME}</h2></td>
                                <td><img src= "images/spacer.gif" alt= "" width= "1" /></td>
                                <td class= "sortorder_cell">
                                        <table cellpadding= "0" cellspacing= "0">
                                        <tr>
                                                <td class= "sortorder_options">{TITLE}</td>
                                                <td class= "sortorder_options"><span class= "statlink"><a href= "thumbnails.php?album={AID}&amp;page={PAGE}&amp;sort=ta" title= "{SORT_TA}">&nbsp;+&nbsp;</a></span></td>
                                                <td class= "sortorder_options"><span class= "statlink"><a href= "thumbnails.php?album={AID}&amp;page={PAGE}&amp;sort=td" title= "{SORT_TD}">&nbsp;-&nbsp;</a></span></td>

                                                <td class= "sortorder_options">{NAME}</td>
                                                <td class= "sortorder_options"><span class= "statlink"><a href= "thumbnails.php?album={AID}&amp;page={PAGE}&amp;sort=na" title= "{SORT_NA}">&nbsp;+&nbsp;</a></span></td>
                                                <td class= "sortorder_options"><span class= "statlink"><a href= "thumbnails.php?album={AID}&amp;page={PAGE}&amp;sort=nd" title= "{SORT_ND}">&nbsp;-&nbsp;</a></span></td>

                                                <td class= "sortorder_options">{DATE}</td>
                                                <td class= "sortorder_options"><span class= "statlink"><a href= "thumbnails.php?album={AID}&amp;page={PAGE}&amp;sort=da" title= "{SORT_DA}">&nbsp;+&nbsp;</a></span></td>
                                                <td class= "sortorder_options"><span class= "statlink"><a href= "thumbnails.php?album={AID}&amp;page={PAGE}&amp;sort=dd" title= "{SORT_DD}">&nbsp;-&nbsp;</a></span></td>

                                                <td class= "sortorder_options">{POSITION}</td>
                                                <td class= "sortorder_options"><span class= "statlink"><a href= "thumbnails.php?album={AID}&amp;page={PAGE}&amp;sort=pa" title= "{SORT_PA}">&nbsp;+&nbsp;</a></span></td>
                                                <td class= "sortorder_options"><span class= "statlink"><a href= "thumbnails.php?album={AID}&amp;page={PAGE}&amp;sort=pd" title= "{SORT_PD}">&nbsp;-&nbsp;</a></span></td>
                                        </tr>
                                        </table>
                                </td>
                        </tr>
                        </table>

EOT;
/******************************************************************************
** Function <<<$template_thumb_view_title_row>>> - END
******************************************************************************/




###############################################################################
## START TABLE
###############################################################################

/******************************************************************************
** Function <<<starttable>>> - BEGIN
******************************************************************************/
// Function to start a 'standard' table
function starttable($width = '-1', $title = '', $title_colspan = '1')
{
    global $CONFIG, $REFERER;

    if ($width == '-1') $width = $CONFIG['picture_table_width'];
    if ($width == '100%') $width = $CONFIG['main_table_width'];

/*$pattern  = "#([a-z-]+)\.php(.*)#";

    $match = array();
    preg_match($pattern, $REFERER, $match);

        if($match[1] == "login" or $match[1] == "admin" or $match[1] == "catmgr")
        {
        echo "</td><td>";
        }
*/
echo <<<EOT
<!-- Start standard table --><table align= "center" width= "$width" cellspacing= "0" cellpadding= "0" class= "maintable">

EOT;
    if ($title) {
        echo <<<EOT
        <tr>
          <td class= "tableh1" colspan= "$title_colspan">$title</td>
        </tr>

EOT;
    }
}
/******************************************************************************
** Function <<<starttable>>> - END
******************************************************************************/


// Function to end a 'standard' table
function endtable()
{
echo <<<EOT
</table><!-- End standard table -->

EOT;
}
/******************************************************************************
** Function <<<endtable>>> - END
******************************************************************************/

##############################################################################
## PICTURE
##############################################################################

/******************************************************************************
** function theme_html_picture() - BEGIN
******************************************************************************/
// Displays a picture
function theme_html_picture()
{
    global $CONFIG, $CURRENT_PIC_DATA, $CURRENT_ALBUM_DATA, $USER;
    global $album, $comment_date_fmt, $template_display_media;
    global $lang_display_image_php, $lang_picinfo;

    $pid = $CURRENT_PIC_DATA['pid'];
    $pic_title = '';

    if (!isset($USER['liv']) || !is_array($USER['liv'])) {
        $USER['liv'] = array();
    }
    // Add 1 to hit counter
    if (!USER_IS_ADMIN && !in_array($pid, $USER['liv']) && isset($_COOKIE[$CONFIG['cookie_name'] . '_data'])) {
        add_hit($pid);
        if (count($USER['liv']) > 4) array_shift($USER['liv']);
        array_push($USER['liv'], $pid);
    }

    if($CONFIG['thumb_use']=='ht' && $CURRENT_PIC_DATA['pheight'] > $CONFIG['picture_width'] ){ // The wierd comparision is because only picture_width is stored
      $condition = true;
    }elseif($CONFIG['thumb_use']=='wd' && $CURRENT_PIC_DATA['pwidth'] > $CONFIG['picture_width']){
      $condition = true;
    }elseif($CONFIG['thumb_use']=='any' && max($CURRENT_PIC_DATA['pwidth'], $CURRENT_PIC_DATA['pheight']) > $CONFIG['picture_width']){
      $condition = true;
    }else{
     $condition = false;
    }

    if ($CURRENT_PIC_DATA['title'] != '') {
        $pic_title .= $CURRENT_PIC_DATA['title'] . "\n";
    }
    if ($CURRENT_PIC_DATA['caption'] != '') {
        $pic_title .= $CURRENT_PIC_DATA['caption'] . "\n";
    }
    if ($CURRENT_PIC_DATA['keywords'] != '') {
        $pic_title .= $lang_picinfo['Keywords'] . ": " . $CURRENT_PIC_DATA['keywords'];
    }

    if (!$CURRENT_PIC_DATA['title'] && !$CURRENT_PIC_DATA['caption']) {
        template_extract_block($template_display_media, 'img_desc');
    } else {
        if (!$CURRENT_PIC_DATA['title']) {
            template_extract_block($template_display_media, 'title');
        }
        if (!$CURRENT_PIC_DATA['caption']) {
            template_extract_block($template_display_media, 'caption');
        }
    }

    $CURRENT_PIC_DATA['menu'] = html_picture_menu(); //((USER_ADMIN_MODE && $CURRENT_ALBUM_DATA['category'] == FIRST_USER_CAT + USER_ID) || ($CONFIG['users_can_edit_pics'] && $CURRENT_PIC_DATA['owner_id'] == USER_ID && USER_ID != 0) || GALLERY_ADMIN_MODE) ? html_picture_menu($pid) : '';

    if ($CONFIG['make_intermediate'] && $condition ) {
        $picture_url = get_pic_url($CURRENT_PIC_DATA, 'normal');
    } else {
        $picture_url = get_pic_url($CURRENT_PIC_DATA, 'fullsize');
    }

    $image_size = compute_img_size($CURRENT_PIC_DATA['pwidth'], $CURRENT_PIC_DATA['pheight'], $CONFIG['picture_width']);

    $pic_title = '';
    $mime_content = cpg_get_type($CURRENT_PIC_DATA['filename']);


    if ($mime_content['content']=='movie' || $mime_content['content']=='audio') {

        if ($CURRENT_PIC_DATA['pwidth']==0 || $CURRENT_PIC_DATA['pheight']==0) {
            $CURRENT_PIC_DATA['pwidth']  = 320; // Default width

            // Set default height; if file is a movie
            if ($mime_content['content']=='movie') {
                $CURRENT_PIC_DATA['pheight'] = 240; // Default height
            }
        }

        $ctrl_offset['mov']=15;
        $ctrl_offset['wmv']=45;
        $ctrl_offset['swf']=0;
        $ctrl_offset['rm']=0;
        $ctrl_offset_default=45;
        $ctrl_height = (isset($ctrl_offset[$mime_content['extension']]))?($ctrl_offset[$mime_content['extension']]):$ctrl_offset_default;
        $image_size['whole']='width="'.$CURRENT_PIC_DATA['pwidth'].'" height="'.($CURRENT_PIC_DATA['pheight']+$ctrl_height).'"';
    }


$taillemax=substr($image_size['geom'],9,-1);
//NOMBRE DE PIXEL À ENLEVER POUR DÉTERMINER LA RÉSOLUTION DE LA PHOTO
$res480='140';
$res600='280';
$res768='300';
$res800='300';
$res864='300';
$res900='240';
$res960='340';
$res1024='365';

    if ($mime_content['content']=='image') {
        if (isset($image_size['reduced'])) {
            $winsizeX = $CURRENT_PIC_DATA['pwidth']+5;  //the +'s are the mysterious FF and IE paddings
            $winsizeY = $CURRENT_PIC_DATA['pheight']+3; //the +'s are the mysterious FF and IE paddings



            $pic_html = "<a href=\"javascript:;\" onclick=\"MM_openBrWindow('displayimage.php?pid=$pid&amp;fullsize=1','" . uniqid(rand()) . "','scrollbars=yes,toolbar=no,status=no,resizable=yes,width=$winsizeX,height=$winsizeY')\">";
            $pic_title = $lang_display_image_php['view_fs'] . "\n==============\n" . $pic_title;
/*javascript permettant de modifier la taille de l'image en fonction de la résolution, si l'image intermédiaire n'est pas l'image la plus grande disponible*/

            $pic_html .= "<script>
if(screen.height-".$res480.">".$taillemax."){document.write('<img src=\"".$picture_url."\" height = \"".$taillemax."\" border=\"0\" class=\"image_big\" />')}
else{
  if(screen.height<=480) {document.write('<img src=\"".$picture_url."\" height = \"' + (screen.height-".$res480.") + '\" border=\"0\" class=\"image_big\" />')}
  else {
    if(screen.height-".$res600.">".$taillemax."){document.write('<img src=\"".$picture_url."\" height = \"".$taillemax."\" border=\"0\" class=\"image_big\" />')}
    else{
      if(screen.height<=600){document.write('<img src=\"".$picture_url."\" height = \"' + (screen.height-".$res600.") + '\" border=\"0\" class=\"image_big\" />')}
      else{
        if(screen.height-".$res768.">".$taillemax."){document.write('<img src=\"".$picture_url."\" height = \"".$taillemax."\" border=\"0\" class=\"image_big\" />')}
        else {
          if(screen.height<=768){document.write('<img src=\"".$picture_url."\" height = \"' + (screen.height-".$res768.") + '\" border=\"0\" class=\"image_big\" />')}
          else{
            if(screen.height-".$res800.">".$taillemax."){document.write('<img src=\"".$picture_url."\" height = \"".$taillemax."\" border=\"0\" class=\"image_big\" />')}
            else {
              if(screen.height<=800){document.write('<img src=\"".$picture_url."\" height = \"' + (screen.height-".$res800.") + '\" border=\"0\" class=\"image_big\" />')}
              else{
                if(screen.height-".$res864.">".$taillemax."){document.write('<img src=\"".$picture_url."\" height = \"".$taillemax."\" border=\"0\" class=\"image_big\" />')}
                else {
                  if(screen.height<=864){document.write('<img src=\"".$picture_url."\" height = \"' + (screen.height-".$res864.") + '\" border=\"0\" class=\"image_big\" />')}
                  else{
                    if(screen.height-".$res900.">".$taillemax."){document.write('<img src=\"".$picture_url."\" height = \"".$taillemax."\" border=\"0\" class=\"image_big\" />')}
                    else {
                      if(screen.height<=900){document.write('<img src=\"".$picture_url."\" height = \"' + (screen.height-".$res900.") + '\" border=\"0\" class=\"image_big\" />')}
                      else{
                        if(screen.height-".$res960.">".$taillemax."){document.write('<img src=\"".$picture_url."\" height = \"".$taillemax."\" border=\"0\" class=\"image_big\" />')}
                        else {
                          if(screen.height<=960){document.write('<img src=\"".$picture_url."\" height = \"' + (screen.height-".$res960.") + '\" border=\"0\" class=\"image_big\" />')}
                          else{
                            if(screen.height-".$res1024.">".$taillemax."){document.write('<img src=\"".$picture_url."\" height = \"".$taillemax."\" border=\"0\" class=\"image_big\" />')}
                            else {
                            document.write('<img src=\"".$picture_url."\" height = \"' + (screen.height-$res1024) + '\" border=\"0\" class=\"image_big\" />')
                            }
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        }
      }
    }
  }
}
</script>";
//            $pic_html .= "<img src=\"" . $picture_url . "\" class=\"image\" border=\"0\" alt=\"{$lang_display_image_php['view_fs']}\" /><br />";
            $pic_html .= "</a>\n";
        } else {
/*javascript permettant de modifier la taille de l'image en fonction de la résolution, si l'image intermédiaire est l'image la plus grande disponible*/

            $pic_html .= "<script>
if(screen.height-".$res480.">".$taillemax."){document.write('<img src=\"".$picture_url."\" height = \"".$taillemax."\" border=\"0\" class=\"image_big\" />')}
else{
  if(screen.height<=480) {document.write('<img src=\"".$picture_url."\" height = \"' + (screen.height-".$res480.") + '\" border=\"0\" class=\"image_big\" />')}
  else {
    if(screen.height-".$res600.">".$taillemax."){document.write('<img src=\"".$picture_url."\" height = \"".$taillemax."\" border=\"0\" class=\"image_big\" />')}
    else{
      if(screen.height<=600){document.write('<img src=\"".$picture_url."\" height = \"' + (screen.height-".$res600.") + '\" border=\"0\" class=\"image_big\" />')}
      else{
        if(screen.height-".$res768.">".$taillemax."){document.write('<img src=\"".$picture_url."\" height = \"".$taillemax."\" border=\"0\" class=\"image_big\" />')}
        else {
          if(screen.height<=768){document.write('<img src=\"".$picture_url."\" height = \"' + (screen.height-".$res768.") + '\" border=\"0\" class=\"image_big\" />')}
          else{
            if(screen.height-".$res800.">".$taillemax."){document.write('<img src=\"".$picture_url."\" height = \"".$taillemax."\" border=\"0\" class=\"image_big\" />')}
            else {
              if(screen.height<=800){document.write('<img src=\"".$picture_url."\" height = \"' + (screen.height-".$res800.") + '\" border=\"0\" class=\"image_big\" />')}
              else{
                if(screen.height-".$res864.">".$taillemax."){document.write('<img src=\"".$picture_url."\" height = \"".$taillemax."\" border=\"0\" class=\"image_big\" />')}
                else {
                  if(screen.height<=864){document.write('<img src=\"".$picture_url."\" height = \"' + (screen.height-".$res864.") + '\" border=\"0\" class=\"image_big\" />')}
                  else{
                    if(screen.height-".$res900.">".$taillemax."){document.write('<img src=\"".$picture_url."\" height = \"".$taillemax."\" border=\"0\" class=\"image_big\" />')}
                    else {
                      if(screen.height<=900){document.write('<img src=\"".$picture_url."\" height = \"' + (screen.height-".$res900.") + '\" border=\"0\" class=\"image_big\" />')}
                      else{
                        if(screen.height-".$res960.">".$taillemax."){document.write('<img src=\"".$picture_url."\" height = \"".$taillemax."\" border=\"0\" class=\"image_big\" />')}
                        else {
                          if(screen.height<=960){document.write('<img src=\"".$picture_url."\" height = \"' + (screen.height-".$res960.") + '\" border=\"0\" class=\"image_big\" />')}
                          else{
                            if(screen.height-".$res1024.">".$taillemax."){document.write('<img src=\"".$picture_url."\" height = \"".$taillemax."\" border=\"0\" class=\"image_big\" />')}
                            else {
                            document.write('<img src=\"".$picture_url."\" height = \"' + (screen.height-$res1024) + '\" border=\"0\" class=\"image_big\" />')
                            }
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        }
      }
    }
  }
}
</script>";
            $pic_html .= "</a>\n";

//            $pic_html = "<img src=\"" . $picture_url . "\" {$image_size['geom']} class=\"image\" border=\"0\" alt=\"\" /><br />\n";
        }
    } elseif ($mime_content['content']=='document') {
        $pic_thumb_url = get_pic_url($CURRENT_PIC_DATA,'thumb');
        $pic_html = "<a href=\"{$picture_url}\" target=\"_blank\" class=\"document_link\"><img src=\"".$pic_thumb_url."\" border=\"0\" class=\"image_thumb\" /></a>\n<br />";
    } else {
        $autostart = ($CONFIG['media_autostart']) ? ('true'):('false');

        $players['WMP'] = array('id' => 'MediaPlayer',
                                'clsid' => 'classid="clsid:6BF52A52-394A-11d3-B153-00C04F79FAA6" ',
                                'codebase' => 'codebase="http://activex.microsoft.com/activex/controls/mplayer/en/nsmp2inf.cab#Version=5,1,52,701" ',
                                'mime' => 'type="application/x-mplayer2" ',
                               );
        $players['RMP'] = array('id' => 'RealPlayer',
                                'clsid' => 'classid="clsid:CFCDAA03-8BE4-11cf-B84B-0020AFBBCCFA" ',
                                'codebase' => '',
                                'mime' => 'type="audio/x-pn-realaudio-plugin" '
                               );
        $players['QT']  = array('id' => 'QuickTime',
                                'clsid' => 'classid="clsid:02BF25D5-8C17-4B23-BC80-D3488ABDDC6B" ',
                                'codebase' => 'codebase="http://www.apple.com/qtactivex/qtplugin.cab" ',
                                'mime' => 'type="video/x-quicktime" '
                               );
        $players['SWF'] = array('id' => 'SWFlash',
                                'clsid' => ' classid="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000" ',
                                'codebase' => 'codebase="http://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=6,0,0,0" ',
                                'mime' => 'type="application/x-shockwave-flash" '
                               );
        $players['UNK'] = array('id' => 'DefaultPlayer',
                                'clsid' => '',
                                'codebase' => '',
                                'mime' => ''
                               );

        if (isset($_COOKIE[$CONFIG['cookie_name'].'_'.$mime_content['extension'].'player'])) {
            $user_player = $_COOKIE[$CONFIG['cookie_name'].'_'.$mime_content['extension'].'player'];
        } else {
            $user_player = $mime_content['player'];
        }

                // There isn't a player selected or user wants client-side control
        if (!$user_player) {
            $user_player = 'UNK';
        }

        $player = $players[$user_player];

        $pic_html  = '<object id="'.$player['id'].'" '.$player['clsid'].$player['codebase'].$player['mime'].$image_size['whole'].'>';
        $pic_html .= "<param name=\"autostart\" value=\"$autostart\" /><param name=\"src\" value=\"". $picture_url . "\" />";
        $pic_html .= '<embed '.$image_size['whole'].' src="'. $picture_url . '" autostart="'.$autostart.'" '.$player['mime'].'></embed>';
        $pic_html .= "</object><br />\n";
    }

    $CURRENT_PIC_DATA['html'] = $pic_html;
    $CURRENT_PIC_DATA['header'] = '';
    $CURRENT_PIC_DATA['footer'] = '';

    $CURRENT_PIC_DATA = CPGPluginAPI::filter('file_data',$CURRENT_PIC_DATA);

    $params = array('{CELL_HEIGHT}' => '100',
        '{IMAGE}' => $CURRENT_PIC_DATA['header'].$CURRENT_PIC_DATA['html'].$CURRENT_PIC_DATA['footer'],
        '{ADMIN_MENU}' => $CURRENT_PIC_DATA['menu'],
        '{TITLE}' => bb_decode($CURRENT_PIC_DATA['title']),
        '{CAPTION}' => bb_decode($CURRENT_PIC_DATA['caption']),
        );

    return template_eval($template_display_media, $params);
}
/******************************************************************************
** function theme_html_picture() - END
******************************************************************************/


?>